> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a policy enforcer

> Update the policy list and/or enabled flag of an existing policy enforcer. enforcedOn cannot be changed.



## OpenAPI

````yaml /api-specs/cloud/public-api.json patch /api/governance/v1/policy-enforcers/{id}
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/governance/v1/policy-enforcers/{id}:
    patch:
      tags:
        - Governance policies
      summary: Update a policy enforcer
      description: >-
        Update the policy list and/or enabled flag of an existing policy
        enforcer. enforcedOn cannot be changed.
      parameters:
        - description: ID of policy enforcer to update
          name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/rai-guardrails-service_server.UpdatePolicyEnforcerRequest
        description: Fields to update
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/rai-guardrails-service_guardrails.PolicyEnforcer
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
        '423':
          description: Locked
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rai-guardrails-service_server.HTTPError'
components:
  schemas:
    rai-guardrails-service_server.UpdatePolicyEnforcerRequest:
      type: object
      properties:
        enabled:
          type: boolean
        policyIds:
          items:
            type: string
          type: array
    rai-guardrails-service_guardrails.PolicyEnforcer:
      type: object
      properties:
        createdAt:
          type: string
        createdBy:
          $ref: '#/components/schemas/rai-guardrails-service_guardrails.User'
        enabled:
          type: boolean
        enforcedOn:
          $ref: >-
            #/components/schemas/rai-guardrails-service_guardrails.PolicyEnforcerTarget
        id:
          type: string
        policyIds:
          items:
            type: string
          type: array
        updatedAt:
          type: string
        updatedBy:
          $ref: '#/components/schemas/rai-guardrails-service_guardrails.User'
    rai-guardrails-service_server.HTTPError:
      type: object
      properties:
        code:
          description: >-
            Code is a stable machine-readable error identifier; absent on most
            errors.
          allOf:
            - $ref: '#/components/schemas/rai-guardrails-service_guardrails.ErrorCode'
        message:
          type: string
    rai-guardrails-service_guardrails.User:
      type: object
      properties:
        firstName:
          type: string
        id:
          type: string
        lastName:
          type: string
        userName:
          type: string
    rai-guardrails-service_guardrails.PolicyEnforcerTarget:
      type: string
      enum:
        - App
        - Model
      x-enum-varnames:
        - PolicyEnforcerTargetApp
        - PolicyEnforcerTargetModel
    rai-guardrails-service_guardrails.ErrorCode:
      type: string
      enum:
        - BUNDLE_REQUIRES_POLICY
      x-enum-varnames:
        - CodeBundleRequiresPolicy

````

## Related topics

- [Create a policy enforcer](/api-reference/governance-policies/create-a-policy-enforcer.md)
- [List policy enforcers](/api-reference/governance-policies/list-policy-enforcers.md)
- [Update the policy of a bundle](/api-reference/governance-bundles/update-the-policy-of-a-bundle.md)
- [Create or update a policy](/api-reference/governance-policies/create-or-update-a-policy.md)
